Returns an object for BSON serialization

- « MongoDB\Driver\ReadConcern

- MongoDB\Driver\ReadConcern::__construct »

- PHP Manual
- MongoDB\Driver\ReadConcern
- Returns an object for BSON serialization

# MongoDB\Driver\ReadConcern::bsonSerialize

(mongodb >=1.2.0)

MongoDB\Driver\ReadConcern::bsonSerialize — Returns an object for BSON serialization

### Description

final public MongoDB\Driver\ReadConcern::bsonSerialize(): stdClass

### Parameters

This function has no parameters.

### Return Values

Returns an object for serializing the ReadConcern as BSON.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Examples

Example #1 MongoDB\Driver\ReadConcern::bsonSerialize() with empty read concern

    <?php

    $rc = new MongoDB\Driver\ReadConcern;
    var_dump($rc->bsonSerialize());

    echo "\n", MongoDB\BSON\Document::fromPHP($rc)->toRelaxedExtendedJSON();

    ?>

The above example will output something similar to:

    object(stdClass)#2 (0) {
    }

    { }

Example #2 MongoDB\Driver\ReadConcern::bsonSerialize() with local read concern

    <?php

    $rc = new MongoDB\Driver\ReadConcern(MongoDB\Driver\ReadConcern::LOCAL);
    var_dump($rc->bsonSerialize());

    echo "\n", MongoDB\BSON\Document::fromPHP($rc)->toRelaxedExtendedJSON();

    ?>

The above example will output something similar to:

    object(stdClass)#2 (1) {
      ["level"]=>
      string(5) "local"
    }

    { "level" : "local" }

### See Also

- MongoDB\BSON\Serializable::bsonSerialize() - Provides an array or document to serialize as BSON
- » Read Concern reference